Skip to main content
`Ctrl`+`K`

# SNESFASType

Determines the type of nonlinear multigrid method that is run.

## Synopsis

    typedef enum {
      SNES_FAS_MULTIPLICATIVE,
      SNES_FAS_ADDITIVE,
      SNES_FAS_FULL,
      SNES_FAS_KASKADE
    } SNESFASType;

## Values

- `SNES_FAS_MULTIPLICATIVE` (default) - traditional V or W cycle as determined by `SNESFASSetCycles()`

- `SNES_FAS_ADDITIVE` - additive FAS cycle

- `SNES_FAS_FULL` - full FAS cycle

- `SNES_FAS_KASKADE` - Kaskade FAS cycle

## See Also

SNES: Nonlinear Solvers, `SNESFAS`, `PCMGSetType()`, `PCMGType`

## Level

beginner

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages